Index: XIOS/dev/branch_openmp/src/interface/fortran_attr/iaxis_attr.F90
===================================================================
--- XIOS/dev/branch_openmp/src/interface/fortran_attr/iaxis_attr.F90	(revision 1544)
+++ XIOS/dev/branch_openmp/src/interface/fortran_attr/iaxis_attr.F90	(revision 1545)
@@ -12,7 +12,8 @@
 
   SUBROUTINE xios(set_axis_attr)  &
-    ( axis_id, axis_ref, begin, bounds, data_begin, data_index, data_n, index, label, long_name  &
-    , mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name, unit, value  &
-     )
+    ( axis_id, axis_ref, axis_type, begin, bounds, bounds_name, comment, data_begin, data_index  &
+    , data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, index, label  &
+    , long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name, unit  &
+    , value )
 
     IMPLICIT NONE
@@ -20,9 +21,17 @@
       CHARACTER(LEN=*), INTENT(IN) ::axis_id
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: axis_ref
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: axis_type
       INTEGER  , OPTIONAL, INTENT(IN) :: begin
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: bounds(:,:)
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: bounds_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: comment
       INTEGER  , OPTIONAL, INTENT(IN) :: data_begin
       INTEGER  , OPTIONAL, INTENT(IN) :: data_index(:)
       INTEGER  , OPTIONAL, INTENT(IN) :: data_n
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: dim_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: formula
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: formula_bounds
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: formula_term
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: formula_term_bounds
       INTEGER  , OPTIONAL, INTENT(IN) :: index(:)
       CHARACTER(len=*) , OPTIONAL, INTENT(IN) :: label(:)
@@ -43,23 +52,33 @@
       (axis_id,axis_hdl)
       CALL xios(set_axis_attr_hdl_)   &
-      ( axis_hdl, axis_ref, begin, bounds, data_begin, data_index, data_n, index, label, long_name  &
-      , mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name, unit, value  &
-       )
+      ( axis_hdl, axis_ref, axis_type, begin, bounds, bounds_name, comment, data_begin, data_index  &
+      , data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, index, label  &
+      , long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name, unit  &
+      , value )
 
   END SUBROUTINE xios(set_axis_attr)
 
   SUBROUTINE xios(set_axis_attr_hdl)  &
-    ( axis_hdl, axis_ref, begin, bounds, data_begin, data_index, data_n, index, label, long_name  &
-    , mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name, unit, value  &
-     )
+    ( axis_hdl, axis_ref, axis_type, begin, bounds, bounds_name, comment, data_begin, data_index  &
+    , data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, index, label  &
+    , long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name, unit  &
+    , value )
 
     IMPLICIT NONE
       TYPE(txios(axis)) , INTENT(IN) :: axis_hdl
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: axis_ref
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: axis_type
       INTEGER  , OPTIONAL, INTENT(IN) :: begin
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: bounds(:,:)
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: bounds_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: comment
       INTEGER  , OPTIONAL, INTENT(IN) :: data_begin
       INTEGER  , OPTIONAL, INTENT(IN) :: data_index(:)
       INTEGER  , OPTIONAL, INTENT(IN) :: data_n
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: dim_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: formula
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: formula_bounds
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: formula_term
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: formula_term_bounds
       INTEGER  , OPTIONAL, INTENT(IN) :: index(:)
       CHARACTER(len=*) , OPTIONAL, INTENT(IN) :: label(:)
@@ -78,23 +97,33 @@
 
       CALL xios(set_axis_attr_hdl_)  &
-      ( axis_hdl, axis_ref, begin, bounds, data_begin, data_index, data_n, index, label, long_name  &
-      , mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name, unit, value  &
-       )
+      ( axis_hdl, axis_ref, axis_type, begin, bounds, bounds_name, comment, data_begin, data_index  &
+      , data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, index, label  &
+      , long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name, unit  &
+      , value )
 
   END SUBROUTINE xios(set_axis_attr_hdl)
 
   SUBROUTINE xios(set_axis_attr_hdl_)   &
-    ( axis_hdl, axis_ref_, begin_, bounds_, data_begin_, data_index_, data_n_, index_, label_, long_name_  &
-    , mask_, n_, n_distributed_partition_, n_glo_, name_, positive_, prec_, standard_name_, unit_  &
-    , value_ )
+    ( axis_hdl, axis_ref_, axis_type_, begin_, bounds_, bounds_name_, comment_, data_begin_, data_index_  &
+    , data_n_, dim_name_, formula_, formula_bounds_, formula_term_, formula_term_bounds_, index_  &
+    , label_, long_name_, mask_, n_, n_distributed_partition_, n_glo_, name_, positive_, prec_, standard_name_  &
+    , unit_, value_ )
 
     IMPLICIT NONE
       TYPE(txios(axis)) , INTENT(IN) :: axis_hdl
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: axis_ref_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: axis_type_
       INTEGER  , OPTIONAL, INTENT(IN) :: begin_
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: bounds_(:,:)
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: bounds_name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: comment_
       INTEGER  , OPTIONAL, INTENT(IN) :: data_begin_
       INTEGER  , OPTIONAL, INTENT(IN) :: data_index_(:)
       INTEGER  , OPTIONAL, INTENT(IN) :: data_n_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: dim_name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: formula_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: formula_bounds_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: formula_term_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: formula_term_bounds_
       INTEGER  , OPTIONAL, INTENT(IN) :: index_(:)
       CHARACTER(len=*) , OPTIONAL, INTENT(IN) :: label_(:)
@@ -117,4 +146,9 @@
       ENDIF
 
+      IF (PRESENT(axis_type_)) THEN
+        CALL cxios_set_axis_axis_type &
+      (axis_hdl%daddr, axis_type_, len(axis_type_))
+      ENDIF
+
       IF (PRESENT(begin_)) THEN
         CALL cxios_set_axis_begin &
@@ -127,4 +161,14 @@
       ENDIF
 
+      IF (PRESENT(bounds_name_)) THEN
+        CALL cxios_set_axis_bounds_name &
+      (axis_hdl%daddr, bounds_name_, len(bounds_name_))
+      ENDIF
+
+      IF (PRESENT(comment_)) THEN
+        CALL cxios_set_axis_comment &
+      (axis_hdl%daddr, comment_, len(comment_))
+      ENDIF
+
       IF (PRESENT(data_begin_)) THEN
         CALL cxios_set_axis_data_begin &
@@ -140,4 +184,29 @@
         CALL cxios_set_axis_data_n &
       (axis_hdl%daddr, data_n_)
+      ENDIF
+
+      IF (PRESENT(dim_name_)) THEN
+        CALL cxios_set_axis_dim_name &
+      (axis_hdl%daddr, dim_name_, len(dim_name_))
+      ENDIF
+
+      IF (PRESENT(formula_)) THEN
+        CALL cxios_set_axis_formula &
+      (axis_hdl%daddr, formula_, len(formula_))
+      ENDIF
+
+      IF (PRESENT(formula_bounds_)) THEN
+        CALL cxios_set_axis_formula_bounds &
+      (axis_hdl%daddr, formula_bounds_, len(formula_bounds_))
+      ENDIF
+
+      IF (PRESENT(formula_term_)) THEN
+        CALL cxios_set_axis_formula_term &
+      (axis_hdl%daddr, formula_term_, len(formula_term_))
+      ENDIF
+
+      IF (PRESENT(formula_term_bounds_)) THEN
+        CALL cxios_set_axis_formula_term_bounds &
+      (axis_hdl%daddr, formula_term_bounds_, len(formula_term_bounds_))
       ENDIF
 
@@ -212,7 +281,8 @@
 
   SUBROUTINE xios(get_axis_attr)  &
-    ( axis_id, axis_ref, begin, bounds, data_begin, data_index, data_n, index, label, long_name  &
-    , mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name, unit, value  &
-     )
+    ( axis_id, axis_ref, axis_type, begin, bounds, bounds_name, comment, data_begin, data_index  &
+    , data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, index, label  &
+    , long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name, unit  &
+    , value )
 
     IMPLICIT NONE
@@ -220,9 +290,17 @@
       CHARACTER(LEN=*), INTENT(IN) ::axis_id
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: axis_ref
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: axis_type
       INTEGER  , OPTIONAL, INTENT(OUT) :: begin
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: bounds(:,:)
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: bounds_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: comment
       INTEGER  , OPTIONAL, INTENT(OUT) :: data_begin
       INTEGER  , OPTIONAL, INTENT(OUT) :: data_index(:)
       INTEGER  , OPTIONAL, INTENT(OUT) :: data_n
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: dim_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: formula
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: formula_bounds
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: formula_term
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: formula_term_bounds
       INTEGER  , OPTIONAL, INTENT(OUT) :: index(:)
       CHARACTER(len=*) , OPTIONAL, INTENT(OUT) :: label(:)
@@ -243,23 +321,33 @@
       (axis_id,axis_hdl)
       CALL xios(get_axis_attr_hdl_)   &
-      ( axis_hdl, axis_ref, begin, bounds, data_begin, data_index, data_n, index, label, long_name  &
-      , mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name, unit, value  &
-       )
+      ( axis_hdl, axis_ref, axis_type, begin, bounds, bounds_name, comment, data_begin, data_index  &
+      , data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, index, label  &
+      , long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name, unit  &
+      , value )
 
   END SUBROUTINE xios(get_axis_attr)
 
   SUBROUTINE xios(get_axis_attr_hdl)  &
-    ( axis_hdl, axis_ref, begin, bounds, data_begin, data_index, data_n, index, label, long_name  &
-    , mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name, unit, value  &
-     )
+    ( axis_hdl, axis_ref, axis_type, begin, bounds, bounds_name, comment, data_begin, data_index  &
+    , data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, index, label  &
+    , long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name, unit  &
+    , value )
 
     IMPLICIT NONE
       TYPE(txios(axis)) , INTENT(IN) :: axis_hdl
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: axis_ref
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: axis_type
       INTEGER  , OPTIONAL, INTENT(OUT) :: begin
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: bounds(:,:)
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: bounds_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: comment
       INTEGER  , OPTIONAL, INTENT(OUT) :: data_begin
       INTEGER  , OPTIONAL, INTENT(OUT) :: data_index(:)
       INTEGER  , OPTIONAL, INTENT(OUT) :: data_n
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: dim_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: formula
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: formula_bounds
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: formula_term
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: formula_term_bounds
       INTEGER  , OPTIONAL, INTENT(OUT) :: index(:)
       CHARACTER(len=*) , OPTIONAL, INTENT(OUT) :: label(:)
@@ -278,23 +366,33 @@
 
       CALL xios(get_axis_attr_hdl_)  &
-      ( axis_hdl, axis_ref, begin, bounds, data_begin, data_index, data_n, index, label, long_name  &
-      , mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name, unit, value  &
-       )
+      ( axis_hdl, axis_ref, axis_type, begin, bounds, bounds_name, comment, data_begin, data_index  &
+      , data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, index, label  &
+      , long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name, unit  &
+      , value )
 
   END SUBROUTINE xios(get_axis_attr_hdl)
 
   SUBROUTINE xios(get_axis_attr_hdl_)   &
-    ( axis_hdl, axis_ref_, begin_, bounds_, data_begin_, data_index_, data_n_, index_, label_, long_name_  &
-    , mask_, n_, n_distributed_partition_, n_glo_, name_, positive_, prec_, standard_name_, unit_  &
-    , value_ )
+    ( axis_hdl, axis_ref_, axis_type_, begin_, bounds_, bounds_name_, comment_, data_begin_, data_index_  &
+    , data_n_, dim_name_, formula_, formula_bounds_, formula_term_, formula_term_bounds_, index_  &
+    , label_, long_name_, mask_, n_, n_distributed_partition_, n_glo_, name_, positive_, prec_, standard_name_  &
+    , unit_, value_ )
 
     IMPLICIT NONE
       TYPE(txios(axis)) , INTENT(IN) :: axis_hdl
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: axis_ref_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: axis_type_
       INTEGER  , OPTIONAL, INTENT(OUT) :: begin_
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: bounds_(:,:)
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: bounds_name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: comment_
       INTEGER  , OPTIONAL, INTENT(OUT) :: data_begin_
       INTEGER  , OPTIONAL, INTENT(OUT) :: data_index_(:)
       INTEGER  , OPTIONAL, INTENT(OUT) :: data_n_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: dim_name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: formula_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: formula_bounds_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: formula_term_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: formula_term_bounds_
       INTEGER  , OPTIONAL, INTENT(OUT) :: index_(:)
       CHARACTER(len=*) , OPTIONAL, INTENT(OUT) :: label_(:)
@@ -317,4 +415,9 @@
       ENDIF
 
+      IF (PRESENT(axis_type_)) THEN
+        CALL cxios_get_axis_axis_type &
+      (axis_hdl%daddr, axis_type_, len(axis_type_))
+      ENDIF
+
       IF (PRESENT(begin_)) THEN
         CALL cxios_get_axis_begin &
@@ -327,4 +430,14 @@
       ENDIF
 
+      IF (PRESENT(bounds_name_)) THEN
+        CALL cxios_get_axis_bounds_name &
+      (axis_hdl%daddr, bounds_name_, len(bounds_name_))
+      ENDIF
+
+      IF (PRESENT(comment_)) THEN
+        CALL cxios_get_axis_comment &
+      (axis_hdl%daddr, comment_, len(comment_))
+      ENDIF
+
       IF (PRESENT(data_begin_)) THEN
         CALL cxios_get_axis_data_begin &
@@ -340,4 +453,29 @@
         CALL cxios_get_axis_data_n &
       (axis_hdl%daddr, data_n_)
+      ENDIF
+
+      IF (PRESENT(dim_name_)) THEN
+        CALL cxios_get_axis_dim_name &
+      (axis_hdl%daddr, dim_name_, len(dim_name_))
+      ENDIF
+
+      IF (PRESENT(formula_)) THEN
+        CALL cxios_get_axis_formula &
+      (axis_hdl%daddr, formula_, len(formula_))
+      ENDIF
+
+      IF (PRESENT(formula_bounds_)) THEN
+        CALL cxios_get_axis_formula_bounds &
+      (axis_hdl%daddr, formula_bounds_, len(formula_bounds_))
+      ENDIF
+
+      IF (PRESENT(formula_term_)) THEN
+        CALL cxios_get_axis_formula_term &
+      (axis_hdl%daddr, formula_term_, len(formula_term_))
+      ENDIF
+
+      IF (PRESENT(formula_term_bounds_)) THEN
+        CALL cxios_get_axis_formula_term_bounds &
+      (axis_hdl%daddr, formula_term_bounds_, len(formula_term_bounds_))
       ENDIF
 
@@ -412,7 +550,8 @@
 
   SUBROUTINE xios(is_defined_axis_attr)  &
-    ( axis_id, axis_ref, begin, bounds, data_begin, data_index, data_n, index, label, long_name  &
-    , mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name, unit, value  &
-     )
+    ( axis_id, axis_ref, axis_type, begin, bounds, bounds_name, comment, data_begin, data_index  &
+    , data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, index, label  &
+    , long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name, unit  &
+    , value )
 
     IMPLICIT NONE
@@ -421,8 +560,14 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: axis_ref
       LOGICAL(KIND=C_BOOL) :: axis_ref_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: axis_type
+      LOGICAL(KIND=C_BOOL) :: axis_type_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: begin
       LOGICAL(KIND=C_BOOL) :: begin_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: bounds
       LOGICAL(KIND=C_BOOL) :: bounds_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: bounds_name
+      LOGICAL(KIND=C_BOOL) :: bounds_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: comment
+      LOGICAL(KIND=C_BOOL) :: comment_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: data_begin
       LOGICAL(KIND=C_BOOL) :: data_begin_tmp
@@ -431,4 +576,14 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: data_n
       LOGICAL(KIND=C_BOOL) :: data_n_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: dim_name
+      LOGICAL(KIND=C_BOOL) :: dim_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: formula
+      LOGICAL(KIND=C_BOOL) :: formula_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: formula_bounds
+      LOGICAL(KIND=C_BOOL) :: formula_bounds_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: formula_term
+      LOGICAL(KIND=C_BOOL) :: formula_term_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: formula_term_bounds
+      LOGICAL(KIND=C_BOOL) :: formula_term_bounds_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: index
       LOGICAL(KIND=C_BOOL) :: index_tmp
@@ -461,14 +616,16 @@
       (axis_id,axis_hdl)
       CALL xios(is_defined_axis_attr_hdl_)   &
-      ( axis_hdl, axis_ref, begin, bounds, data_begin, data_index, data_n, index, label, long_name  &
-      , mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name, unit, value  &
-       )
+      ( axis_hdl, axis_ref, axis_type, begin, bounds, bounds_name, comment, data_begin, data_index  &
+      , data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, index, label  &
+      , long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name, unit  &
+      , value )
 
   END SUBROUTINE xios(is_defined_axis_attr)
 
   SUBROUTINE xios(is_defined_axis_attr_hdl)  &
-    ( axis_hdl, axis_ref, begin, bounds, data_begin, data_index, data_n, index, label, long_name  &
-    , mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name, unit, value  &
-     )
+    ( axis_hdl, axis_ref, axis_type, begin, bounds, bounds_name, comment, data_begin, data_index  &
+    , data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, index, label  &
+    , long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name, unit  &
+    , value )
 
     IMPLICIT NONE
@@ -476,8 +633,14 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: axis_ref
       LOGICAL(KIND=C_BOOL) :: axis_ref_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: axis_type
+      LOGICAL(KIND=C_BOOL) :: axis_type_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: begin
       LOGICAL(KIND=C_BOOL) :: begin_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: bounds
       LOGICAL(KIND=C_BOOL) :: bounds_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: bounds_name
+      LOGICAL(KIND=C_BOOL) :: bounds_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: comment
+      LOGICAL(KIND=C_BOOL) :: comment_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: data_begin
       LOGICAL(KIND=C_BOOL) :: data_begin_tmp
@@ -486,4 +649,14 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: data_n
       LOGICAL(KIND=C_BOOL) :: data_n_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: dim_name
+      LOGICAL(KIND=C_BOOL) :: dim_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: formula
+      LOGICAL(KIND=C_BOOL) :: formula_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: formula_bounds
+      LOGICAL(KIND=C_BOOL) :: formula_bounds_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: formula_term
+      LOGICAL(KIND=C_BOOL) :: formula_term_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: formula_term_bounds
+      LOGICAL(KIND=C_BOOL) :: formula_term_bounds_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: index
       LOGICAL(KIND=C_BOOL) :: index_tmp
@@ -514,14 +687,16 @@
 
       CALL xios(is_defined_axis_attr_hdl_)  &
-      ( axis_hdl, axis_ref, begin, bounds, data_begin, data_index, data_n, index, label, long_name  &
-      , mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name, unit, value  &
-       )
+      ( axis_hdl, axis_ref, axis_type, begin, bounds, bounds_name, comment, data_begin, data_index  &
+      , data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, index, label  &
+      , long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name, unit  &
+      , value )
 
   END SUBROUTINE xios(is_defined_axis_attr_hdl)
 
   SUBROUTINE xios(is_defined_axis_attr_hdl_)   &
-    ( axis_hdl, axis_ref_, begin_, bounds_, data_begin_, data_index_, data_n_, index_, label_, long_name_  &
-    , mask_, n_, n_distributed_partition_, n_glo_, name_, positive_, prec_, standard_name_, unit_  &
-    , value_ )
+    ( axis_hdl, axis_ref_, axis_type_, begin_, bounds_, bounds_name_, comment_, data_begin_, data_index_  &
+    , data_n_, dim_name_, formula_, formula_bounds_, formula_term_, formula_term_bounds_, index_  &
+    , label_, long_name_, mask_, n_, n_distributed_partition_, n_glo_, name_, positive_, prec_, standard_name_  &
+    , unit_, value_ )
 
     IMPLICIT NONE
@@ -529,8 +704,14 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: axis_ref_
       LOGICAL(KIND=C_BOOL) :: axis_ref__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: axis_type_
+      LOGICAL(KIND=C_BOOL) :: axis_type__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: begin_
       LOGICAL(KIND=C_BOOL) :: begin__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: bounds_
       LOGICAL(KIND=C_BOOL) :: bounds__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: bounds_name_
+      LOGICAL(KIND=C_BOOL) :: bounds_name__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: comment_
+      LOGICAL(KIND=C_BOOL) :: comment__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: data_begin_
       LOGICAL(KIND=C_BOOL) :: data_begin__tmp
@@ -539,4 +720,14 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: data_n_
       LOGICAL(KIND=C_BOOL) :: data_n__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: dim_name_
+      LOGICAL(KIND=C_BOOL) :: dim_name__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: formula_
+      LOGICAL(KIND=C_BOOL) :: formula__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: formula_bounds_
+      LOGICAL(KIND=C_BOOL) :: formula_bounds__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: formula_term_
+      LOGICAL(KIND=C_BOOL) :: formula_term__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: formula_term_bounds_
+      LOGICAL(KIND=C_BOOL) :: formula_term_bounds__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: index_
       LOGICAL(KIND=C_BOOL) :: index__tmp
@@ -572,4 +763,10 @@
       ENDIF
 
+      IF (PRESENT(axis_type_)) THEN
+        axis_type__tmp = cxios_is_defined_axis_axis_type &
+      (axis_hdl%daddr)
+        axis_type_ = axis_type__tmp
+      ENDIF
+
       IF (PRESENT(begin_)) THEN
         begin__tmp = cxios_is_defined_axis_begin &
@@ -584,4 +781,16 @@
       ENDIF
 
+      IF (PRESENT(bounds_name_)) THEN
+        bounds_name__tmp = cxios_is_defined_axis_bounds_name &
+      (axis_hdl%daddr)
+        bounds_name_ = bounds_name__tmp
+      ENDIF
+
+      IF (PRESENT(comment_)) THEN
+        comment__tmp = cxios_is_defined_axis_comment &
+      (axis_hdl%daddr)
+        comment_ = comment__tmp
+      ENDIF
+
       IF (PRESENT(data_begin_)) THEN
         data_begin__tmp = cxios_is_defined_axis_data_begin &
@@ -602,4 +811,34 @@
       ENDIF
 
+      IF (PRESENT(dim_name_)) THEN
+        dim_name__tmp = cxios_is_defined_axis_dim_name &
+      (axis_hdl%daddr)
+        dim_name_ = dim_name__tmp
+      ENDIF
+
+      IF (PRESENT(formula_)) THEN
+        formula__tmp = cxios_is_defined_axis_formula &
+      (axis_hdl%daddr)
+        formula_ = formula__tmp
+      ENDIF
+
+      IF (PRESENT(formula_bounds_)) THEN
+        formula_bounds__tmp = cxios_is_defined_axis_formula_bounds &
+      (axis_hdl%daddr)
+        formula_bounds_ = formula_bounds__tmp
+      ENDIF
+
+      IF (PRESENT(formula_term_)) THEN
+        formula_term__tmp = cxios_is_defined_axis_formula_term &
+      (axis_hdl%daddr)
+        formula_term_ = formula_term__tmp
+      ENDIF
+
+      IF (PRESENT(formula_term_bounds_)) THEN
+        formula_term_bounds__tmp = cxios_is_defined_axis_formula_term_bounds &
+      (axis_hdl%daddr)
+        formula_term_bounds_ = formula_term_bounds__tmp
+      ENDIF
+
       IF (PRESENT(index_)) THEN
         index__tmp = cxios_is_defined_axis_index &
